# Generated from statsailr_procs_base-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name statsailr_procs_base

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Collection of fundamental PROCs for StatSailr program
License: GPL-3.0
URL: https://github.com/niceume/statsailr_procs_base
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
This 'statsailr_procs_base' gem provides a collection of fundamental PROCs for
StatSailr program. This gem is essential for StatSailr to provide a useful
statistics system.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/statsailr_procs_base.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.0-1
- Initial package
